Update Orgs.sddcs.networks.edges.nat.config.rules

Update Orgs.sddcs.networks.edges.nat.config.rules

Update the specific NAT rule for a management or compute gateway (NSX Edge).

Request
URI
PUT
https://vmc.vmware.com/vmc/api/orgs/{org}/sddcs/{sddc}/networks/4.0/edges/{edgeId}/nat/config/rules/{ruleId}
COPY
Path Parameters
string
org
Required

Organization identifier.

string
sddc
Required

Sddc Identifier.

string
edgeId
Required

Edge Identifier.

integer
ruleId
Required

Rule Identifier.


Request Body
nsxnatrule of type(s) application/json
Required
{
    "vnic": "string",
    "ruleType": "string",
    "protocol": "string",
    "description": "string",
    "ruleId": 0,
    "snatMatchDestinationPort": "string",
    "originalAddress": "string",
    "dnatMatchSourceAddress": "string",
    "dnatMatchSourcePort": "string",
    "snatMatchDestinationAddress": "string",
    "originalPort": "string",
    "loggingEnabled": false,
    "translatedAddress": "string",
    "enabled": false,
    "icmpType": "string",
    "translatedPort": "string",
    "action": "string",
    "ruleTag": 0
}
string
vnic
Optional

Interface on which the NAT rule is applied.

string
ruleType
Optional

Identifies the type of the rule. internal_high or user.

string
protocol
Optional

Protocol. Default is 'any'

string
description
Optional

Description for the rule.

integer As int64 As int64
ruleId
Optional

Identifier for the rule.

string
snatMatchDestinationPort
Optional

Apply SNAT rule only if traffic has this destination port. Default is 'any'.

string
originalAddress
Optional

Original address or address range. This is the original source address for SNAT rules and the original destination address for DNAT rules.

string
dnatMatchSourceAddress
Optional

Apply DNAT rule only if traffic has this source address. Default is 'any'.

string
dnatMatchSourcePort
Optional

Apply DNAT rule only if traffic has this source port. Default is 'any'.

string
snatMatchDestinationAddress
Optional

Apply SNAT rule only if traffic has this destination address. Default is 'any'.

string
originalPort
Optional

Original port. This is the original source port for SNAT rules, and the original destination port for DNAT rules.

boolean
loggingEnabled
Optional

Enable logging for the rule.

string
translatedAddress
Optional

Translated address or address range.

boolean
enabled
Optional

Enable rule.

string
icmpType
Optional

ICMP type. Only supported when protocol is icmp. Default is 'any'.

string
translatedPort
Optional

Translated port. Supported in DNAT rules only.

string
action
Optional

Action for the rule. SNAT or DNAT.

integer As int64 As int64
ruleTag
Optional

Rule tag. Used to specify user-defined ruleId. If not specified NSX Manager will generate ruleId.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

400

Bad request. Request object passed is invalid.

Operation doesn't return any data structure

403

Forbidden. Authorization header not provided.

Operation doesn't return any data structure

404

Not found. Requested object not found.

Operation doesn't return any data structure

Edges Operations
POST
Add Orgs.sddcs.networks.edges.firewall.config.rules
POST
Add Orgs.sddcs.networks.edges.nat.config.rules
POST
Create Orgs.sddcs.networks.edges.dns.config
DELETE
Delete Orgs.sddcs.networks.cgws.l2vpn.config
DELETE
Delete Orgs.sddcs.networks.edges.dns.config
DELETE
Delete Orgs.sddcs.networks.edges.firewall.config
DELETE
Delete Orgs.sddcs.networks.edges.firewall.config.rules
DELETE
Delete Orgs.sddcs.networks.edges.ipsec.config
DELETE
Delete Orgs.sddcs.networks.edges.nat.config
DELETE
Delete Orgs.sddcs.networks.edges.nat.config.rules
GET
Get Orgs.sddcs.networks.cgws.l2vpn.config
GET
Get Orgs.sddcs.networks.edges
GET
Get Orgs.sddcs.networks.edges.dhcp.leaseinfo
GET
Get Orgs.sddcs.networks.edges.dns.config
GET
Get Orgs.sddcs.networks.edges.dns.statistics
GET
Get Orgs.sddcs.networks.edges.firewall.config
GET
Get Orgs.sddcs.networks.edges.firewall.config.rules
GET
Get Orgs.sddcs.networks.edges.firewall.statistics
GET
Get Orgs.sddcs.networks.edges.ipsec.config
GET
Get Orgs.sddcs.networks.edges.ipsec.statistics
GET
Get Orgs.sddcs.networks.edges.l2vpn.config.statistics
GET
Get Orgs.sddcs.networks.edges.nat.config
GET
Get Orgs.sddcs.networks.edges.peerconfig
GET
Get Orgs.sddcs.networks.edges.statistics.dashboard.firewall
GET
Get Orgs.sddcs.networks.edges.statistics.dashboard.interface
GET
Get Orgs.sddcs.networks.edges.statistics.dashboard.ipsec
GET
Get Orgs.sddcs.networks.edges.statistics.interfaces
GET
Get Orgs.sddcs.networks.edges.statistics.interfaces.internal
GET
Get Orgs.sddcs.networks.edges.statistics.interfaces.uplink
GET
Get Orgs.sddcs.networks.edges.status
GET
Get Orgs.sddcs.networks.edges.vnics
PUT
Update Orgs.sddcs.networks.cgws.l2vpn.config
PUT
Update Orgs.sddcs.networks.edges.dns.config
PUT
Update Orgs.sddcs.networks.edges.firewall.config
PUT
Update Orgs.sddcs.networks.edges.firewall.config.rules
PUT
Update Orgs.sddcs.networks.edges.ipsec.config
PUT
Update Orgs.sddcs.networks.edges.nat.config
PUT
Update Orgs.sddcs.networks.edges.nat.config.rules